/**
 * In many cases the package.json will be directly resolvable, so we try that first.
 * If, however, package exports are used and the package.json is not defined, we will
 * need to resolve the main entry point of the package and traverse upwards to find the
 * package.json.
 *
 * NOTE: Unit testing this code is currently impractical as it is not possible to mock
 * require.resolve in jest https://github.com/jestjs/jest/issues/9543
 */
export declare function findExternalPackageJsonPath(packageName: string, relativeToDir: string): string | null;
